Skip to main content
GET
/
wallets
/
{wallet}
/
limit_orders
/
open
/
pools
Get Open Limit Order Pools
curl --request GET \
  --url https://dlmm.datapi.meteora.ag/wallets/{wallet}/limit_orders/open/pools
{
  "current_page": 1,
  "data": [
    {
      "filled_pct": "<string>",
      "fully_filled_orders": 1,
      "pool": {
        "base_fee": "<string>",
        "bin_step": 1,
        "collect_fee_mode": 1,
        "pair_name": "<string>",
        "pool_address": "<string>",
        "token_x": "<string>",
        "token_x_icon": "<string>",
        "token_x_mint": "<string>",
        "token_y": "<string>",
        "token_y_icon": "<string>",
        "token_y_mint": "<string>"
      },
      "total_bonus_sol": "<string>",
      "total_bonus_usd": "<string>",
      "total_bonus_x": "<string>",
      "total_bonus_y": "<string>",
      "total_deposit_sol": "<string>",
      "total_deposit_usd": "<string>",
      "total_deposit_x": "<string>",
      "total_deposit_x_sol": "<string>",
      "total_deposit_x_usd": "<string>",
      "total_deposit_y": "<string>",
      "total_deposit_y_sol": "<string>",
      "total_deposit_y_usd": "<string>",
      "total_orders": 1,
      "total_withdrawal_sol": "<string>",
      "total_withdrawal_usd": "<string>",
      "total_withdrawal_x": "<string>",
      "total_withdrawal_x_sol": "<string>",
      "total_withdrawal_x_usd": "<string>",
      "total_withdrawal_y": "<string>",
      "total_withdrawal_y_sol": "<string>",
      "total_withdrawal_y_usd": "<string>"
    }
  ],
  "page_size": 1,
  "pages": 1,
  "total": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

wallet
string
required

Base58-encoded wallet address

Query Parameters

page
integer<int64> | null

Page number, 1-indexed. Default: 1

Required range: x >= 1
page_size
integer<int64> | null
default:20

Number of results per page. Default: 20, max: 1000

Required range: 1 <= x <= 1000

Response

current_page
integer<int64>
required
Required range: x >= 0
data
object[]
required
page_size
integer<int64>
required
Required range: x >= 0
pages
integer<int64>
required
Required range: x >= 0
total
integer<int64>
required
Required range: x >= 0